//
//  FirstViewController.h
//  iGEMPartSearch
//
//  Created by Dinula on 4/15/2014.
//  Copyright (c) 2014 Lethrbridge High School iGEM Team. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <Foundation/Foundation.h>


@interface FirstViewController : UIViewController <NSXMLParserDelegate, UITextFieldDelegate>
{
    NSMutableString *authString;
    NSMutableString *sequenceValue;
    NSMutableString *curElementValue;
    NSMutableArray *elementArray;
    NSMutableString *stockString;
    NSMutableString *testedString;
    UIScrollView *scrollView;
    NSString *partName;
    NSMutableString *paragraph;
    NSMutableString *shortName;
    NSMutableString *shortDescription;
    NSMutableString *releaseStatus;
    NSMutableString *partEntered;
    NSMutableString *partType;
    NSMutableString *partResults;
    BOOL calledPartAuthor;
    BOOL calledPartShortName;
    BOOL calledPartShortDesc;
    BOOL calledPartType;
    BOOL calledPartResults;
    BOOL calledPartSeqData;
    BOOL calledPartSampleStatus;
    BOOL isOnPage;
    
    
    NSMutableAttributedString *stringS;
}
@property (strong, nonatomic) IBOutlet UIButton *startSearchQuery;
@property (strong, nonatomic) IBOutlet UIScrollView *scrollView;
@property (strong, nonatomic) IBOutlet UITableView *downloadsView;
@property (strong, nonatomic) NSMutableString *tempString;
@property (strong, nonatomic) IBOutlet UILabel *authorLabel;
@property (strong, nonatomic) IBOutlet UILabel *Logo_text_one;
@property (strong, nonatomic) IBOutlet UITextView *partInfo;
@property (strong, nonatomic) IBOutlet UILabel *partNameLabel;
@property (strong, nonatomic) IBOutlet UITextField *queryBox;
@property (strong, nonatomic) IBOutlet UILabel *Logo_text_two;
@property (strong, nonatomic) IBOutlet UIScrollView *infoScroller;
- (IBAction)searchUpPart:(id)sender;
- (IBAction)scrollToSearch:(id)sender;
- (IBAction)downloadPart:(id)sender;
- (IBAction)switchSceneToDownloads:(id)sender;
- (IBAction)openHelpScreen:(id)sender;



@end
